dvb-sat.h File Reference
Satellite Equipment Control

Provides interfaces to deal with DVB Satellite systems. More...

`#include "dvb-v5-std.h"`

Go to the source code of this file.

## Data Structures

struct | dvb_sat_lnb
| Stores the information of a LNBf. More...
struct | dvb_sat_lnb::dvbsat_freqrange

## Functions

int | dvb_sat_search_lnb (const char *name)
| search for a LNBf entry
int | dvb_print_lnb (int index)
| prints the contents of a LNBf entry at STDOUT.
void | dvb_print_all_lnb (void)
| Prints all LNBf entries at STDOUT.
const struct dvb_sat_lnb * | dvb_sat_get_lnb (int index)
| gets a LNBf entry at its internal database
const char * | dvb_sat_get_lnb_name (int index)
| gets a LNBf entry at its internal database
int | dvb_sat_set_parms (struct dvb_v5_fe_parms *parms)
| sets the satellite parameters
int | dvb_sat_real_freq (struct dvb_v5_fe_parms *p, int freq)
| return the real satellite frequency

## Detailed Description

Provides interfaces to deal with DVB Satellite systems.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file dvb-sat.h.